Page MenuHomePhabricator

i18n translations strings for 'yes' and 'no' are used in multiple questions
Closed, ResolvedPublic1 Story Points

Description

Author: eleriygarregwen

Description:
The current strings Wikipedia-android-strings-yes and Wikipedia-android-strings-no are used to answer 4 different questions. Please split these strings into 4 strings each for yes and no, for use with the four different questions.

Apparently "htmlform-yes and htmlform-no" is a precedent for this request. See translatewiki.net report at https://translatewiki.net/wiki/Summary:Thread/About_Wikimedia:Wikipedia-android-strings-yes/en_(2)


Version: Stable
Severity: normal

Details

Reference
bz67628

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:41 AM
bzimport set Reference to bz67628.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jul 7 2014, 9:49 PM

Ok, but I expected that link to provide an explanation for the "htmlform-yes and htmlform-no precedent" or where to find that. :)

(In reply to Andre Klapper from comment #3)

Ok, but I expected that link to provide an explanation for the "htmlform-yes
and htmlform-no precedent" or where to find that. :)

https://gerrit.wikimedia.org/r/#/c/40357/ last comment by author asking revert

@bearND would you mind commenting on this, and close if it's no longer valid/relevant?

Dbrant triaged this task as Low priority.May 19 2015, 4:03 PM
Dbrant moved this task from Needs Triage to Bug Backlog on the Wikipedia-Android-App-Backlog board.
bearND set Security to None.Jun 18 2015, 4:25 AM
bearND added a subscriber: Nikerabbit.

The yes-no strings in the Android app are used to confirm the following dialog box questions:

"Update all saved pages?"
"Clear browsing history?"
"Clear all saved pages?"
"Are you sure you want to clear your search history?"

@Nikerabbit Is there no one translation which works for all of them in Finnish?

Deskana removed a subscriber: Deskana.Jun 18 2015, 4:49 PM

There usually is a way to work around these things (like working around variables so that they do not need to be inflected) by making them unnatural or ungrammatical. We should aim for making it possible to do translations which are fluent and natural. In context of Finnish a fix for this particular issues is nice to have, and for some other languages it can be should have or even must have.

Having these generic strings available also encourages further reuse of these messages, potentially in incompatible contexts.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 5:16 PM
MBinder_WMF set the point value for this task to 1.May 18 2016, 7:49 PM

Change 370524 had a related patch set uploaded (by Jcasariego; owner: Jcasariego):
[apps/android/wikipedia@master] Split yes-no strings used in dialog box questions into separate strings tags

https://gerrit.wikimedia.org/r/370524

Currently, the yes-no strings in the Android app are used to confirm the following dialog box questions:

  • "This saved page may be out of date, and must be refreshed for editing to be enabled. Would you like to refresh the page?"
  • "The page has been modified. Are you sure you want to exit without saving your changes?"
  • "This will delete all of your browsing history, and close any currently open tabs. Are you sure?"
  • "Are you sure you want to cancel downloading this compilation?"
  • "Are you sure you want to close all tabs?"
  • "Are you sure you want to clear your search history?"
  • "This will delete any previously synced reading lists from remote storage. Proceed?"

These are the places where new tags were created for the yes-no string.

Change 370524 merged by jenkins-bot:
[apps/android/wikipedia@master] Split yes-no strings used in dialog box questions into separate strings tags

https://gerrit.wikimedia.org/r/370524

Mholloway closed this task as Resolved.Aug 9 2017, 9:18 PM